## amsn 0.94

=== Makefile ===
#
# $Id: Makefile,v 1.8 2004/03/12 19:21:13 airadier Exp $
# Todo: This file is very BETA :) but it works for now :P
#       Need to include compiling of traydock, and copy the amsn.* menu files.
#

name=amsn
version=0.91
release=1a
module=msn

# Installation paths
prefix=/usr/local
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
libdir=${prefix}/share/${name}
datadir=${prefix}/share/pixmaps
DOCDIR=${prefix}/share/doc/${name}-${version}
proot=${prefix}
pexec_prefix=${proot}
pbindir=${pexec_prefix}/bin
plibdir=${proot}/share/${name}
pdatadir=${proot}/share/pixmaps
pdocdir=${proot}/share/doc/${name}-${version}

transcript=uninstall.sh

# For integration with the current desktop
gnomelinks=/etc/X11/applnk/Internet
kdelinks=/usr/share/applnk/Internet
debianlinks=/usr/lib/menu
wmapps=${gnomelinks}
icon=messenger.png
desklink=amsn.desktop

all: install

mkdirs:
	mkdir -p $(libdir)
	mkdir -p $(datadir)
	mkdir -p $(wmapps)
	mkdir -p $(bindir)

installdoc:
	mkdir -p ${DOCDIR}
	cp -rp docs/ ${DOCDIR}


install: mkdirs installdoc
	@# Installing traydock
	@# cd plugins/traydock
	@# make && cd ..

	mkdir -p ${libdir}
	cp -a * ${libdir}

	@# Copy menu file.
	@# cp ${desklink} ${wmapps}

	@# Remove CVS directorys.
	@# find ${libdir} -type d -name CVS -exec rm -rf {} \;

	@# Installing pixmaps.
	mkdir -p ${pdatadir}
	cp -a icons/32x32/* ${pdatadir}

	ln -s ${libdir}/amsn ${bindir}

uninstall:
	rm -rf ${libdir}
	rm ${bindir}/amsn

=== plugins/Makefile ===
# Compile the gtkdock for amsn

gnomedock : gnomedock.o
	gcc `gnome-config --libs applets` -o gnomedock gnomedock.o

gnomedock.o : gtkdock.c gtkdock.h
	gcc `gnome-config --cflags applets` -o gnomedock.o -c gtkdock.c

## amsn 0.97+final

=== utils/macosx/sndplay-src/Makefile ===
CC = gcc
CFLAGS = -framework AppKit
CFLAGS_INTEL = -arch i386 -isysroot /Developer/SDKs/MacOSX10.4u.sdk
CFLAGS_PPC = -arch ppc -isysroot /Developer/SDKs/MacOSX10.2.8.sdk
RM = rm

sndplay: sndplay_intel.o sndplay_ppc.o
	lipo -create sndplay_intel.o sndplay_ppc.o -output sndplay

sndplay_intel.o:
	$(CC) $(CFLAGS) $(CFLAGS_INTEL) sndplay.m -o sndplay_intel.o
	
sndplay_ppc.o:
	$(CC) $(CFLAGS) $(CFLAGS_PPC) sndplay.m -o sndplay_ppc.o
	
all: sndplay

clean_objs:
	-$(RM) *.o

clean_release: clean_objs

clean: clean_objs
	-$(RM) sndplay

=== utils/macosx/tclCarbonHICommand/src/Makefile ===
TCL_FRAMEWORK=/System/Library/Frameworks/Tcl.framework
TK_FRAMEWORK=/System/Library/Frameworks/Tk.framework
TCL_CFLAGS=-I$(TCL_FRAMEWORK)/Headers -DUSE_TCL_STUBS
TK_CFLAGS=-I$(TK_FRAMEWORK)/Headers -DUSE_TK_STUBS
TCL_LDFLAGS=-framework Tcl
TK_LDFLAGS=-framework Tk
UNIVERSAL=-arch i386 -arch ppc -isysroot /Developer/SDKs/MacOSX10.4u.sdk 
CFLAGS=-fPIC -DTARGET_OS_MAC=1 -DTARGET_API_MAC_CARBON=1 -DMAC_OSX_TK 	$(UNIVERSAL) -O0 $(TCL_CFLAGS) $(TK_CFLAGS)
DYNLIB_LDFLAGS=-dynamiclib -Wl,-single_module
LDFLAGS=$(UNIVERSAL) $(DYNLIB_LDFLAGS) $(TK_LDFLAGS) $(TCL_LDFLAGS) 	-framework CoreFoundation -framework Carbon -framework QuickTime
OBJECTS=tclCarbonHICommand.o
TARGET=tclCarbonHICommand0.1.dylib

all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(CC) $(OBJECTS) $(LDFLAGS) -o $@

clean:
	rm -f $(OBJECTS) $(TARGET)

=== utils/macosx/tclCarbonNotification/src/Makefile ===
TCL_FRAMEWORK=/System/Library/Frameworks/Tcl.framework
TK_FRAMEWORK=/System/Library/Frameworks/Tk.framework
TCL_CFLAGS=-I$(TCL_FRAMEWORK)/Headers -DUSE_TCL_STUBS
TK_CFLAGS=-I$(TK_FRAMEWORK)/Headers -DUSE_TK_STUBS
TCL_LDFLAGS=-framework Tcl
TK_LDFLAGS=-framework Tk
UNIVERSAL=-arch i386 -arch ppc -isysroot /Developer/SDKs/MacOSX10.4u.sdk 
CFLAGS=-fPIC -DTARGET_OS_MAC=1 -DTARGET_API_MAC_CARBON=1 -DMAC_OSX_TK 	$(UNIVERSAL) -O0 $(TCL_CFLAGS) $(TK_CFLAGS)
DYNLIB_LDFLAGS=-dynamiclib -Wl,-single_module
LDFLAGS=$(UNIVERSAL) $(DYNLIB_LDFLAGS) $(TK_LDFLAGS) $(TCL_LDFLAGS) 	-framework CoreFoundation -framework Carbon -framework QuickTime
OBJECTS=tclCarbonNotification.o
TARGET=tclCarbonNotification0.1.dylib

all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(CC) $(OBJECTS1) $(LDFLAGS) -o $@

clean:
	rm -f $(OBJECTS) $(TARGET)

## amsn 0.98.4

=== debian/changelog ===
amsn (0.98.4-4) unstable; urgency=low

  * aMSN should compile now in hurd-i386. In this revision patch
    07_fix_ftbfs4hurd.patch has been created. Thanks to Svante Signell for
    providing it. (Closes: #636213)
  * debian/control:
    + Build-Depends on libjpeg-dev instead of libjpeg62-dev. (Closes: #633435)

 -- Muammar El Khatib <muammar@debian.org>  Mon, 01 Aug 2011 17:49:35 +0200

amsn (0.98.4-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format. 
  * Bump Standards-Version to 3.9.2. No changes were needed.
  * Support for Video4Linux version has been dropped in the Linux kernel. This
    caused a FTBFS because linux/videodev.h is not provided anymore. 
   (Closes: #621955)

 -- Muammar El Khatib <muammar@debian.org>  Thu, 30 Jun 2011 21:51:09 +0200

amsn (0.98.4-2) unstable; urgency=low

  * Uploading to unstable.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 06 Feb 2011 10:09:55 +0100

amsn (0.98.4-1) experimental; urgency=low

  * New upstream release. (Closes: #606988) 

 -- Muammar El Khatib <muammar@debian.org>  Wed, 29 Dec 2010 16:30:16 +0100

amsn (0.98.3-5) unstable; urgency=medium

  * Uploading to unstable because of the fact the test previously made in the 
    upload to experimental (revision 0.98.3-4) was successful.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 21 Dec 2010 22:21:39 +0100

amsn (0.98.3-4) experimental; urgency=low

  * debian/rules: utils/webcamsn is not created for hurd-i386 so it has been put
    into the conditional ifneq ($(DEB_HOST_ARCH_OS),hurd) for avoiding copying  
    it in the install target. 

 -- Muammar El Khatib <muammar@debian.org>  Tue, 21 Dec 2010 15:55:41 +0100

amsn (0.98.3-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.1. No changes were needed.
  * debian/patches/07_infoaudacious.dpatch
    + It has been included a patch from revision 12184 of amsn's SVN repository.
      With this change, the audacios music plugin is able to detect when the 
      player is set to the 'paused' state. (Closes: #597204)
  * debian/patches/08_offline_message_issue.dpatch
    + This is a change introduced in aMSN's SVN (revision 12185) to protocol.tcl
      due to changes in the oim soap request so that aMSN is able to receive 
      offline messages again. Thanks to Riccardo Stagni for providing a patch.
      (Closes: #600971)
  * Maintainer's mail has been changed. 
  * This revision of aMSN avoids a FTBFS that happens in Hurd because of the 
   libasyncresolver.so. 

 -- Muammar El Khatib <muammar@debian.org>  Fri, 19 Dec 2010 18:23:38 +0100

amsn (0.98.3-2) unstable; urgency=low

  * debian/patches/06_recognize_kfreebsd.patch.dpatch
    + Added. Make configure recognize kFreeBSD as a BSD
  * debian/rules
    + Only special case the bits that are actually linux only
    + Don't build-depend on libv4l-dev on GNU/KFreeBSD (Closes: #583187)
  * Thanks to Sjoerd Simons for providing the patch that fixed this problem. 

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sat, 12 Jun 2010 15:42:08 -0430

amsn (0.98.3-1) unstable; urgency=medium

  * New upstream release.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Thu, 18 Mar 2010 23:03:36 -0430

amsn (0.98.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4. No changes were needed. 
  * debian/control: ${misc:Depends} was added to the field Depends of amsn and
    amsn-data.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Tue, 23 Feb 2010 15:50:46 -0430

amsn (0.98.1-1) unstable; urgency=low

  * New upstream release.
  * Error caused when chat windows was opened has been fixed in this new 
    upstream release. (Closes: #543977, #550490, #553367, #493766)
  * debian/control: amsn now depends on libsnack2-alsa | libsnack2 instead of
    just libsnack2-alsa so that users may be able to use the OSS output. 
    (Closes: #552145) 
  * aMSN is able to send offline messages again. (Closes: #550643)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Tue, 03 Nov 2009 22:47:59 -0430

amsn (0.98-1) unstable; urgency=low

  * New upstream release. (Closes: #545968)
  * Bump Standards-Version to 3.8.3 
  * debian/control: libgupnp-igd-1.0-dev has been added in the Build-Depends
    field for controling UPnP Internet Gateway Devices port mapping.
  * debian/README.Debian-source was renamed to debian/README.source and
    information about dpatch has been added in order to comply with Debian
    Policy Manual 4.14.
  * debian/control: gstreamer0.10-alsa has been added as a dependency of aMSN.
    (Closes: #545738)
  * In this version "appear offline" state can be selected from the tray icon.
    (Closes: #511268)
  * Start Video call botton label is now showed correctly in chat window. 
    (Closes: #541657)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Thu, 03 Sep 2009 22:58:41 -0430

amsn (0.98~svn11402-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/control: some packages have been added in the Build-Depends field in
    order to make aMSN able to support Video and Voice calls: libnice-dev, 
    libv4l-dev, libgupnp-1.0-dev, libgupnp-igd, libgstfarsight0.10-dev and
    libgstreamer-plugins-base0.10-dev.
  * debian/patches: the next patches are no longer required:
    - 04_settingoff_autoupdate.dpatch.old  
    - 05_changing_sxml.dpatch.old  
    - 06_TkCximage.dpatch.old  
    - 07_autoupdate.dpatch.old  
    - 08_proxy.dpatch.old
    They have been removed from debian/patches directory. Most of the changes 
    implemented by those patches are now included by upstream in the aMSN source
    code. 
  * debian/watch: the file has been fixed in this revision and now it is able
    to look for the correct versions of the package. Problem was caused because
    upstream is now shipping the tarball in the form *.tar.bz2 instead of 
    *.tar.gz.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 26 Jul 2009 20:36:04 -0430

amsn (0.97.2~debian-3) unstable; urgency=low

  * Bump Standards-Version to 3.8.2


=== debian/control ===
Source: amsn
Section: x11
Priority: optional
Maintainer: Muammar El Khatib <muammar@debian.org>
Build-Depends: debhelper (>= 6), tcl8.5-dev, tk8.5-dev, quilt (>= 0.40), libpng12-dev, libjpeg-dev, libnice-dev, libgstreamer-plugins-base0.10-dev, libgstfarsight0.10-dev (>= 0.0.9), libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libgupnp-1.0-dev, libgupnp-igd-1.0-dev
Standards-Version: 3.9.2
Homepage: http://amsn.sourceforge.net/

Package: amsn
Architecture: any
Depends: ${shlibs:Depends}, amsn-data (= ${source:Version}), tk8.5, tcl-tls, libsnack2-alsa | libsnack2, ${misc:Depends}
Suggests: iceweasel | iceape | galeon | konqueror | arora, sox, docker, tclsh
Replaces: amsn-data	
Breaks: amsn-data (<= 0.9.7.1~debian-1)
Description: MSN messenger application written in Tcl
 A very nice MSN compatible messenger application. Works pretty much like its
 Windows based counterpart. Perfect for keeping in touch with those friends
 who have not yet seen the light.

Package: amsn-data
Architecture: all
Depends: ${shlibs:Depends}, python, tk8.5, ${misc:Depends}
Replaces: amsn (<< 0.97.2~debian-1)
Description: Data files for aMSN
 This package contains architecture-independent supporting data files required 
 for use with aMSN such as documentation, icons, translations, plugins, skins
 and sounds.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/quilt/quilt.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --with-tcl=/usr/lib/tcl8.5 --with-tk=/usr/lib/tk8.5

build: build-stamp 
build-stamp: config.status 
build-stamp: $(QUILT_STAMPFN)
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) 
	#docbook-to-man debian/amsn.sgml > amsn.1

	touch build-stamp

clean: unpatch
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	 [ ! -f Makefile ] || $(MAKE) distclean

	# Clean some libs that are not clean by makefile
	rm -f ./utils/TkCximage/TkCximage.so
	rm -f ./utils/webcamsn/webcamsn.so
	rm -f ./utils/linux/capture/config.h
	rm -f ./utils/tcl_siren/tcl_siren.so
	rm -f ./utils/tclISF/tclISF.so ./utils/asyncresolver/libasyncresolver.so
	rm -f ./config.log

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/amsn-data.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/amsn-data	

	# manually move the .desktop file for KDE, it's broken in the Makefile
	mv -f "$(CURDIR)/debian/amsn-data/usr/share/amsn/"*.desktop \
		"$(CURDIR)/debian/amsn/usr/share/applications/"
	#manually copy the icon file
	cp -f "$(CURDIR)/desktop-icons/48x48/apps/amsn.png" \
		"$(CURDIR)/debian/amsn/usr/share/pixmaps/msn.png"
	#manually copy the xpm file
	cp -f "$(CURDIR)/debian/msn.xpm" \
		"$(CURDIR)/debian/amsn/usr/share/pixmaps/amsn/amsn.xpm"
	
	# Changing some wrong permissions
	# Permission 2755
	chmod 2755 "$(CURDIR)/debian/amsn-data/usr/share/amsn/utils/voipcontrols/test.tcl" \
        "$(CURDIR)/debian/amsn-data/usr/share/amsn/skins/Oxygen/pixmapscroll/test.tcl" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/skins/Dark Matter 4.0/pixmapscroll/test.tcl"

	# Permission 644
	chmod 644 "$(CURDIR)/debian/amsn-data/usr/share/amsn/skins/default/pixmaps/notinlist_emblem_detailedview.png" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/skins/default/pixmaps/plain_emblem_detailedview.png" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/skins/default/pixmaps/away_emblem_detailedview.png" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/skins/default/pixmaps/busy_emblem_detailedview.png" \
        "$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/SkinColor/plugininfo.xml" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/SpellCheck/lang/langlt" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/growl/styles/aMSNMac.growlStyle/Contents/Info.plist" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/growl/styles/aMSN.growlStyle/Contents/Info.plist" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/growl/styles/aMSN.growlStyle/Contents/Resources/default.css" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/SkinColor/skincolor.tcl" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/jake/plugininfo.xml" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/jake/stack.tcl" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/jake/cmdline.tcl" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/jake/jake.tcl" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/growl/styles/aMSNMac.growlStyle/Contents/Resources/default.css" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/jake/htmlparse.tcl" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/ebuddykiller/ebuddykiller.tcl" \
	"$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/ebuddykiller/plugininfo.xml"
	find $(CURDIR)/debian/amsn-data/usr/share/amsn/skins/Oxygen/ -name *.png -exec chmod 644 {} \;

	chmod 644 "$(CURDIR)/debian/amsn-data/usr/share/amsn/utils/asyncresolver/libasyncresolver.so" 
	mv $(CURDIR)/debian/amsn-data/usr/share/amsn/utils/asyncresolver $(CURDIR)/debian/amsn/usr/lib/amsn/utils
	mv $(CURDIR)/debian/amsn-data/usr/share/amsn/utils/webcamsn $(CURDIR)/debian/amsn/usr/lib/amsn/utils

	# .so files go in /usr/lib
	
	mv $(CURDIR)/debian/amsn-data/usr/share/amsn/amsn $(CURDIR)/debian/amsn/usr/share/amsn
	mv $(CURDIR)/debian/amsn-data/usr/share/amsn/amsn-remote $(CURDIR)/debian/amsn/usr/share/amsn
	mv $(CURDIR)/debian/amsn-data/usr/share/amsn/amsn-remote-CLI $(CURDIR)/debian/amsn/usr/share/amsn
	mv $(CURDIR)/debian/amsn-data/usr/share/amsn/utils/TkCximage/*  $(CURDIR)/debian/amsn/usr/lib/amsn/utils/TkCximage
	mv $(CURDIR)/debian/amsn-data/usr/share/amsn/utils/tcl_siren $(CURDIR)/debian/amsn/usr/lib/amsn/utils
	cp $(CURDIR)/utils/tcl_siren/pkgIndex.tcl	$(CURDIR)/debian/amsn/usr/lib/amsn/utils/tcl_siren
	mv $(CURDIR)/debian/amsn-data/usr/share/amsn/utils/farsight $(CURDIR)/debian/amsn/usr/lib/amsn/utils
	mv $(CURDIR)/debian/amsn-data/usr/share/amsn/utils/tclISF $(CURDIR)/debian/amsn/usr/lib/amsn/utils
	mv $(CURDIR)/debian/amsn-data/usr/share/amsn/utils/gupnp $(CURDIR)/debian/amsn/usr/lib/amsn/utils
ifeq ($(DEB_HOST_ARCH_OS),linux)
	# The following is Linux-only, see the FOUND_OS detection in Makefile.in
	mv $(CURDIR)/debian/amsn-data/usr/share/amsn/utils/linux $(CURDIR)/debian/amsn/usr/lib/amsn/utils
	cp $(CURDIR)/utils/linux/capture/pkgIndex.tcl $(CURDIR)/debian/amsn/usr/lib/amsn/utils/linux/capture/
	cp $(CURDIR)/utils/linux/linflash/pkgIndex.tcl $(CURDIR)/debian/amsn/usr/lib/amsn/utils/linux/linflash/
	cp $(CURDIR)/utils/linux/traydock/pkgIndex.tcl $(CURDIR)/debian/amsn/usr/lib/amsn/utils/linux/traydock/
endif
	rm -f $(CURDIR)/debian/amsn-data/usr/share/amsn/utils/tcl_siren/src/*.o
	# Documentation files go in /usr/share/doc/amsn

	cp -f $(CURDIR)/docs/* \
	   $(CURDIR)/TODO \
	   $(CURDIR)/FAQ \
	   $(CURDIR)/HELP \
	   $(CURDIR)/README \
	   $(CURDIR)/CREDITS \
	   $(CURDIR)/debian/amsn-data/usr/share/doc/amsn/
	
	# Delete redundant files
	rm -f  "$(CURDIR)/debian/amsn-data/usr/share/amsn/utils/Tclxml/libTclxml3.1.so"
	rm -rf "$(CURDIR)/debian/amsn-data/usr/share/applications"
	rm -f  "$(CURDIR)/debian/amsn-data/usr/share/doc/amsn/README"
	rm -f  "$(CURDIR)/debian/amsn-data/usr/share/doc/amsn/CREDITS"
	rm -f  "$(CURDIR)/debian/amsn-data/usr/share/doc/amsn/TODO"
	rm -f  "$(CURDIR)/debian/amsn-data/usr/share/amsn/AGREEMENT"
	rm -f  "$(CURDIR)/debian/amsn-data/usr/share/amsn/CREDITS"
	rm -f  "$(CURDIR)/debian/amsn-data/usr/share/amsn/TODO"
	rm -f  "$(CURDIR)/debian/amsn-data/usr/share/amsn/FAQ"
	rm -f  "$(CURDIR)/debian/amsn-data/usr/share/amsn/GNUGPL"
	rm -f  "$(CURDIR)/debian/amsn-data/usr/share/amsn/HELP"
	rm -f  "$(CURDIR)/debian/amsn-data/usr/share/amsn/INSTALL"
	rm -rf  "$(CURDIR)/debian/amsn-data/usr/share/amsn/utils/TkCximage/"
	rm -rf "$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/amsnplus/" #Erasing amsnplus/ directory
	rm -f "$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/music/MusicWin/MusicWin.dsp"
	rm -f "$(CURDIR)/debian/amsn-data/usr/share/amsn/plugins/music/MusicWin/MusicWin.dsw"
	rm -f "$(CURDIR)/debian/amsn-data/usr/share/amsn/skins/Dark Matter 4.0/displaypic/Thumbs.db"
	rm -f "$(CURDIR)/debian/amsn-data/usr/share/amsn/skins/Dark Matter 4.0/pixmaps/Thumbs.db"
	rm -f "$(CURDIR)/debian/amsn-data/usr/share/amsn/skins/Dark Matter 4.0/pixmapscroll/horizontal/Thumbs.db"
	rm -f "$(CURDIR)/debian/amsn-data/usr/share/amsn/skins/Dark Matter 4.0/pixmapscroll/vertical/Thumbs.db"
	rm -f "$(CURDIR)/debian/amsn-data/usr/share/amsn/skins/Dark Matter 4.0/smileys/Thumbs.db"
	rm -f "$(CURDIR)/debian/amsn-data/usr/share/amsn/skins/Dark Matter 4.0/winicons/Thumbs.db"

	# Move symlinks from amsn-data/usr/bin to amsn/usr/bin
	mv debian/amsn-data/usr/bin debian/amsn/usr

## amsn 0.98.4-maemo0

=== debian/changelog ===
amsn (0.98.4-maemo0) experimental; urgency=low

  * Packaging changes for maemo

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>>  Mon, 13 Dec 2010 01:13:51 +0200

=== debian/control ===
Source: amsn
Section: user/network
Priority: optional
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>> 4.0.0), tcl8.5-dev, tk8.5-dev, libpng12-dev, libjpeg62-dev, maemo-optify, libimlib2-dev, libgstreamer0.10-dev
Standards-Version: 3.6.1

Package: amsn
Replaces: ccmsn
Architecture: armel
Depends: tcl8.5, tk8.5, tcltls, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.20.0), libgssdp-1.0-2 (>= 0.7.1), libgstfarsight0.10-0, libgstreamer-plugins-base0.10-0 (>= 0.10.25), libgstreamer0.10-0 (>= 0.10.25), libgupnp-1.0-3 (>= 0.13.2), libgupnp-igd-1.0-2 (>= 0.1.4), libice6 (>= 1:1.0.0), libjpeg62, libpng12-0 (>= 1.2.13-4), libsm6, libsoup2.4-1 (>= 2.23.91), libstdc++6 (>= 4.2.1), libx11-6, libxml2 (>= 2.6.32), zlib1g (>= 1:1.2.1)
Suggests: mozilla | galeon | konqueror | iceweasel, sox, docker, libsnack2
Description: An MSN messenger written in tcl
 A very nice MSN compatible messenger application. Works pretty much like its
 Windows based counterpart. Perfect for keeping in touch with those friends 
 who have not yet seen the light.
 .
 This package supersedes ccmsn, which is no longer maintained upstream.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAABAESURBVGiB1Zp5kFxXdcZ/9777Xr/eZuue
 GW2j3ZIXjYSQ5N0skpMKqwMFNoUNBsdgXAZXkVRSkJACF6ksJiQhJgnZMMTB
 ZQixARMIxCzeYoSRLdlIlqx1tI00o9m7p1+/u+WP1yPJssbYoWyKW3Vqpnt6
 7vu+e8757jn3tvDe8+s85K8awC871Ev5sBBCAIKMuGi97c8w/CvoVvFiniWE
 kGRkQyAHxJwi7wENpIA5w/zLTeYXEhBCBEAB6AS6X3PJBRecv6z7Qm9c3lon
 vBB2ctoeHp7Ue06MNoaOHTs2duLEiVFgEqgBqffe/UoItFa+DPR97MNX3dx/
 bt81gbCVZqNJkjQx5rm4rCPRLjg+NqWf3Des77333u88lCTJcaD5cnliVgIt
 8AVg8e233fiJC5Z0Xt1sNkXSaNJMUpKkiXOzY7JOTu3Yf+JPvnDX974IjL5c
 XnihJFZA18c/8tab1q7suSZJmjjrcM7hrD0F3nsa05PUJkZo1CdwzuG9wzlb
 Hj/RWA/cxamEf2UItNQmBuatXl5+l5AK5xot8B7nPM4axkcGGR85itHp8+aw
 1jef3le7D2jSUqdZngPPJfiSEn82D0igdP3b17xJ+np1fOQwOnVYK5gcH2Fk
 6Bjjo0M4a+hbsIjLLv8N5s1fSnfPAkaHD/HZv/rU9OO7Rr6w/UDtp8D06eFz
 mqLJls2oW0CmXE0hhAbMiwm72QgooHND/5y3yyBibGiA+lSder2B0RZJwMpl
 53D5JRtZvmIVQkUIlUOoHL0LVnDD1e+d/uurb/s+ME4mr6cDLwIdZOKQB/JL
 ly5dVqlU5g8NDe0dGBh4FhgCRoUQ0957+5IItNwaKkVHpSNe7r3EGIO12Twf
 uf4mwjCHDGNkmAc8Jk1ITgyT66gS5UssP29V58aLzu384eadvjXnjBRXlFKL
 Nm3a9MFKpbIuiqLuKIragcBai3OOJElO7Nu37182b97878AhIUTthTxxNg8I
 ILp0zcJlgRSRThOssVjr6K30EEiFbyWqd4ZDW7Ywdmg/zjkQksqSFUwc3he8
 /lUrzv3h5p0Ptp4RA4suvvjia/r7+2/K5/NV51qC0LKZEUVRtb+//2PGmOqW
 LVs+AxwWQjRmy4vZCMQrllXOxwt02qS7o0K+GpOkGu8sCIm3Dhd4FqxeT9/a
 S7MwChQmTVi89kL/1D339pHt2gqoXHfddbf39PT8lvf+pDcBvPeciS1JEhYu
 7LvhxIkTWwcGBr5OJgRnDaXZCKi53YUlzoMxhrLK+7XnrhHHJ8Zw1iIkYDXS
 BHghQQYIZ/A4vE4ZP3GIajnXQ5aYAVAYHx9f12g0TgIWQjAjQrlcjjiOT/5t
 YmKCIAjknDlzrhsYGPgBMPZSCAC4Wr055Z3AGMOR4WF3QZIE87t7cM4hPTgP
 yABEgBQS6z1CBuhGjX0/eVAcmy6MthZDAH6BHPrqH9zygVvqoiy0saTNBJ02
 aSYNdNpEpyk/3nqAXQMjNJtNgiCgWqmsA9paOJ+v1bMQcEA6cGTq2fUXeIzW
 jDXqwfZ9z/pXr1ojVFjAmQSBB61n8CECBzLAm5T+N1zlv/fP9wSt+QMg9/6r
 Lv/NBYuXCaHyIATeNPEmwZs0+6kTLj63hw9+5ttZvFhLsVgM4zguJ0kihRDi
 bHlwtn7AA82f7RjcbozBmCzuH/35E2Lzlp96ZzQOke3GOsHpFKvTFpAmUSGP
 NxrhJ9bRksplC7p7z3/V6iUgsjDz7mTcz4SN9558qFi9tOcUOCnJ5/MFXmAn
 f54HvPdeCKEPHpkcHB2vDTvruq11WOvYtnuXv2jtOiGLXbhkCgKJJyHwDust
 QgQI4ZFek4uSlef0FS/Yfahef9vGNWv2/+RRlWvfyYn9u0nrkxQ6u+lduYre
 5eeBcy1ls8yrFE8DY/3U1NQ4s+zkZyXQGhoY2frM4H2rlpY/aK3FGstYUpO5
 YkwyPUkQ5XGmgfCA9whrEIFCChgdHfbGWHleX37T7kP1nYvnVhct2nAZqlhh
 7uqLMI0GeI/KhTjvwNnMo9aRUwFXXbKcRqp5fMehCWPMNOBmk9HZWkoLjH/1
 +3vuGp9sDM54wDnHwcFB8gWFcwaiIs4YrDE4a/BG45xlz9E9EqDecKOAWtDd
 tlDgsWmDKM6T7+gi396BUhHeaqw1eJv975VrF3L1pYtZP0f66ZGhp8j6CjOb
 B16oJ7ZJYsY+/7Vdnz5wXO+f0e4ntv+cuFCgGEt82kTGbThrTlraqPkDQ4MA
 jNbSZ4Bkop5O7X74ASGlwJsUbJYzzqZ4Y3AmxRqNt5Y4BOssR4+eMDt277mD
 rByZlcDZSglFtu33lDs6znnTR/785uri5YsDLPr4Hjatm0BIRVQICGNPs9FA
 hyG1iTE/Pd3U//o/j2xdubRw4YGjte88ubv2CJAeGasdfsMlF/n68DFR6p0H
 3uOsxRuNt83Mc1aDCHEmxRnjD+7b+8j+4dp2sq7uF+fATA0EtAMLN1176/X9
 r3vzzfk4p8JAEkiJ7juPHw0P8K6WUIgA4jBHjODOweVs37n/8AMPHv7ft9nq
 0Tu/sfd2sqIsOHR05GChowvCPF43M9WxFmfTDHCa4JxDKIFpNvwTDz969K5H
 93wW+IXdnDoDfBdKrXz/p+/8x575fSuLuZAwkASBRAWSQOTYM9zLSO041fao
 NYUHBLkoFusue+3S89ZfcuuPvnnPvxm22ZbrzdO7jhzGae+1wHkhvPN4Z/DG
 YE0DZywyKmGmxzi4e3f9A//w4O8fr6fbgBcs5E73QAB0Fovt/df+6Z1f6a5U
 u9sKEWEQoFrglRQEgaSwYB7fG5JcObWD6rw5BCokTQ1OxbTFIXEYyDe84z3v
 y7d1NO6747bbgYlHtj17tF6rp3Hsch6Bdy5L3FbSeyRWN8gXYx+XSu54PR0E
 pniB2J8ZslWnF4HF7/mzL9/dU612V9vzFHMRhTikGCuKuZBCHFHMhXSUYppR
 O+XLbmQ6v4IJW2Wy80JKuZBCFJLPhbQXc/RvuPxaoLe1OJNbtu183DuL1U2s
 buJ0ijMGT4AI8yg0uXxMuVTMkeVgHlAtfLMTaIVO95tv+eSthXJbtbu9QCFU
 FHKKQqTI50IKOUVxxqKQBXOqbNk7SNeKdVRXv56w1E4xFxBHAXGoiENFb7Wr
 7dUbf/sSslJ6/NNfeuAOZ7XPYt9k4IMQVEzg6hTbywghxKGJ4+qit/Z+CFgB
 zAWKQgh1Wvv5PALFYnvXkmVrLru6Ws5TiBS5lsWRIh8q8lFmcRSSzynaCjET
 teTkJEIIYhUQKUWkJKGStBVyXPrGd7yPrJxIHnt6//avfeOH3zRp6p0xgEBJ
 KIQp5fZ2pAwQUnLf6J6gsiJ8y5W3zLn/nEvbbmwRqQK5s3lDAm0b3/t7N4og
 UJ2lGBUEhIE8ZUoSqoAoPG2FI0Uul2NyOjlJQEmyPJESKQQ5FVBs75zfCs8A
 sB/63Lf/44a//PwP7t75sO7orVLu6iBX6oAggiDiscN7GJUNujorVLurbedf
 Uf3E6z7Q+5+l7uhyoA8otbq7k0MBbb2Ll1+ajxRSZJUl8Hzl9eD9zNueamcb
 2/Yc4YrVy04WY65lM58rFoulFoGe6qJ47cbrl36u2tNVmciFSJV7zvTGGO4f
 2EqlUsVah9GWcqlMuZQsKrwnuufwM1Nffuq743cAB4UQk957M0MgXyh19EQq
 wDqHdQLjPFI4pANhBQLHKWoe5wOkgGOjU9k73qOtQ1iHtg5tLdo6mtpYoG35
 hvL6K65Z+RfVzp5AhQHSF3EiRLa6hfrEFN8ZeJJCpYwMJNZYjLEYbSnEhlKh
 PVDhwRvy5WDh5q+NfBzYK4SY8N47BQRCSuUBYxzitMq1VafhyVZWOY91Eiky
 aW4Yx0Q9wXtPoh1eW7TJwNebmonxseNAftXGno/Oq/YFURwRhoqc7WSEucjh
 PVgRUVx8MYNDP6MrruCswxqHMQadWow26JwhjvJIsfvKS66V+ce+MnwzkAoh
 phUgEEJ672kaiwccWRg453A+wDqPCRxKSqQ51QoWC0UefmovG5ZWqTcNNtUY
 45hqpDy7+9ntf/e77/7DQlfYM2f+nPmFfJkopwjDkJLvIZxzHt39rwFg867/
 pq0zTxBIrPWZB7TBRBadGtJQE4UxSxacSzN98rLFG8pvPPD41N1AqlpMvLZO
 JNpivSfyAc55lJUY61GBQAUSIQWSFgHvccDh4RHWL6kwlRjMdMp4raGfeOSB
 u7/+t5/8J8Bd9Pbej3Z3zCUXxURRSC6KKPlOpDwlKAMjP6erswtnPcbazAPa
 kKYGrTShMoRBipI5errmoS+0Hz/w+NSPgQkFjI4cPfBoZd7iy2e6IuscRs7s
 wpmyBFIgpcyaXNHqib1nKtF867FnOHjs2MiRRx7+1tc//6kvAUfIirC+Uqda
 UYzbCVVIGEQoFZLjVNOibYKTCW2FMs7Sin2DlppAaJRIkUIjkOAlfXOXc3z0
 SPv5V7a/c8cDE3+jgOG7/vh3bup/zVuuWL3xzTeUO7uXlktt5TjO5ZTKSggV
 BEgpWioFzlqbNGq1seGhQ0cH9m65474vfXPowN4BYJSs/G2QbZAyXyx0CCFO
 5hKA9KdWf9v+Byl35gkjhTEWj8A5gQwyE1Jmz5bZ6zjKk88XqPTZN8LEF1Vr
 pQ48/dD9I08/dP+PgBLZeU6g4lhVeuaWFq5YPVflC+H44OHR3VsfO2aMmbmN
 mSarWaaAhNNuZsi0H++cNEbPHGAgAkhpnuyJ9w49QbFHkFqXed4Z9GlmnD5p
 1mmsN5Tz7dRL9cVASXnvnRCiQXZ4NMapAk+YJJHHD+6Xxw/un9k8HFm35log
 Z15bzjhVFkJYoN5oNGrTjVpsiXEYHCGJnMJ7j7GakfogTLchg8xLzjq0Nhhj
 0dqQGo02mtRkv6cmRUiJCIgApVo67k8Dkp5Rd5xZg7zYizwLjGz/wegfFQrb
 P7dw/tK46IpoFxLJEbz3PLrjfpxMmKr7LFwQmYy2NjKtTaZCTYNONWnLsmNM
 IQFx1qb+DHD/36shC4zvf2Lqu0e37zxw5YeTv1+8pG9ZW7kNGQzjnGPrvh+j
 c9PoWoKQ4qQ6OOcwJiNhtEE3TQa+adBNjbEpItuw7Eu6Zn0po3U80wSON5s0
 /+uzB96x/OLxjWs29d46ryddsG3fQ8HBoV0U20NkECCDk4d4eOczKbUWk57y
 hG5qkqTJZG0Ck/oRYPJFXbP+MqMVjpKsrG4HqrmimnfFO5e+e87y4qZCe9CV
 y0exCrJqFMDPeEEbtGl5QGuS6dRP16anxwabP916//htSc1sf9kJnEEkIJPX
 PNmZZxtQKrap8qINHat6+vL9xfZoUaBEyTrndGJrzWk70Uz0yNFnpjcffGpq
 N1Ank+pRYOoVI3AGkRkyM6bIpDvPqSN5yPJo5hI94YzLdO+9e8UJnDlOI3T6
 VxhO/xoDZHI9I93PEZlfOYFfdvzaf1vl/wCoOL2QU0VAPAAAAABJRU5ErkJg
 gg==
 ====

## amsn 0.98.4-maemo1

=== debian/changelog ===
amsn (0.98.4-maemo1) experimental; urgency=low

  * Added "pretty" name: aMSN

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>>  Fri, 24 Dec 2010 23:46:17 +0200

## amsn 0.98.4-maemo2

=== debian/changelog ===
amsn (0.98.4-maemo2) experimental; urgency=low

  * Fixed .desktop file location.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>>  Sat, 25 Dec 2010 21:51:20 +0200

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  who have not yet seen the light.
  .
  This package supersedes ccmsn, which is no longer maintained upstream.
+XB-Maemo-Display-Name: aMSN
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
  fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Modified by Phil <lephilousophe at users dot sourceforge dot net> for aMsn

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#QUILT_PATCHES=debian/patches  quilt push -a -q -p0 || test $$? = 2
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --enable-libng


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/amsn.sgml > amsn.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	#QUILT_PATCHES=debian/patches quilt pop -a -q -R || test $$? = 2
	#-rm -rf .pc

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	# Add here commands to install the package into debian/amsn.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/amsn
	rm -rf debian/amsn/usr/share/amsn/plugins/amsnplus/snapshot
	[ -f debian/amsn/usr/share/pixmaps/amsn.png ] || rm -f debian/amsn/usr/share/pixmaps/amsn.png

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb
# --destdir="./distrib/DEB" --filename="amsn_${VERSION}.deb"

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## amsn 0.98.9

=== utils/linux/capture/libng/plugins/Makefile ===
default:
	cd ../..; $(MAKE)

=== debian/changelog ===
amsn (0.98.9-1ubuntu3) trusty; urgency=low

  * Recommend tcl-snack instead of libsnack2-alsa | libsnack2 since
    the snack package has been restructured and tcl-snack already has an
    alternate dependency on alsa | oss 

 -- Micah Gersten <micahg@ubuntu.com>  Sat, 26 Oct 2013 22:05:05 -0500

amsn (0.98.9-1ubuntu2) raring; urgency=low

  * Modified build infrastructure to use multiarch Tcl location so the
    build doesn't break trying to use (nonexistent) locate(1) fallback.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 07 Apr 2013 14:39:21 -0400

amsn (0.98.9-1ubuntu1) quantal; urgency=low

  * Sync with Debian. (LP: #1001958) Remaining changes:
  * debian/control:
    - Build-depend on libfarstream-0.1-dev
    - Depend on libfarstream-0.1-0 and xdg-utils
  * debian/patches/08_use_aplay_for_sound.patch:
    - Use aplay from alsa-utils instead of play from sox for sounds

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Oct 2012 23:39:21 -0400

amsn (0.98.9-1) unstable; urgency=low

  * Updated to new 0.98.9 version:
    + Rewritten P2P stack, fixing CVE-2006-0138 among other bugs
    + Fixed compilation against libpng 1.5
    + Fixed problem running libng under latest tcl/tk (made webcam not work)
    + Upstream moved .so files out of /usr/share
  * Added self as maintainer
  * Refactored and cleaned up the package

 -- Vivia Nikolaidou <n.vivia@gmail.com>  Tue, 12 Jun 2012 21:33:58 +0300

=== debian/control ===
Source: amsn
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vivia Nikolaidou <n.vivia@gmail.com>
Build-Depends: debhelper (>= 9), tcl8.5-dev, tk8.5-dev, libpng12-dev, libjpeg-dev, libnice-dev, libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libfarstream-0.1-dev, libgstreamer-plugins-base0.10-dev, libgupnp-1.0-dev, libgupnp-igd-1.0-dev, dpkg-dev (>= 1.16.0)
Standards-Version: 3.9.3
Homepage: http://amsn.sourceforge.net/

Package: amsn
Architecture: any
Depends: ${shlibs:Depends}, amsn-data (= ${source:Version}), libfarstream-0.1-0, tcl8.5, tk8.5, tcl-tls, xdg-utils, ${misc:Depends}
Recommends: tcl-snack
Suggests: www-browser
Replaces: amsn-data (<< 0.98.9-1)
Conflicts: amsn-data (<< 0.98.9-1)
Description: MSN messenger application written in Tcl
 A very nice MSN compatible messenger application. Works pretty much like its
 Windows based counterpart. Perfect for keeping in touch with those friends
 who have not yet seen the light.

Package: amsn-data
Architecture: all
Depends: tk8.5, ${misc:Depends}
Recommends: python
Replaces: amsn(<< 0.98.9-1)
Conflicts: amsn(<< 0.98.9-1)
Description: Data files for aMSN
 This package contains architecture-independent supporting data files required 
 for use with aMSN such as documentation, icons, translations, plugins, skins
 and sounds.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

config.status: configure
	dh_testdir
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl8.5 --with-tk=/usr/lib/$(DEB_HOST_MULTIARCH)/tk8.5 --prefix=/usr

build: build-stamp 
build-stamp: config.status 
	dh_testdir

	$(MAKE) 

	touch build-stamp

build-arch: build
build-indep: build

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	 [ ! -f Makefile ] || $(MAKE) distclean

	# Clean some libs that are not clean by makefile
	rm -f ./utils/TkCximage/TkCximage.so
	rm -f ./utils/webcamsn/webcamsn.so
	rm -f ./utils/linux/capture/config.h
	rm -f ./utils/tcl_siren/tcl_siren.so
	rm -f ./utils/tclISF/tclISF.so ./utils/asyncresolver/libasyncresolver.so
	rm -f ./config.log

	dh_clean

#amsn-remote should be in amsn, not amsn-data
#GNUGPL and INSTALL are not needed
#MusicWin are visual studio project files
#amsnplus is broken
#Thumbs.db is for Windows only
#growl is for Max only
#convert.tcl, test.tcl and missing.py are for developer use only
#license files are already elsewhere
SKIPFILES=amsn-remote \
	GNUGPL \
	INSTALL \
	MusicWin.ds \
	amsnplus \
	Thumbs.db \
	growl \
	convert.tcl \
	test.tcl \
	missing.py \
	license \
	LICENSE.txt 
SKIPFILES_EXPANDED := $(foreach f,$(SKIPFILES),-X$(f))

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	#Some permissions are wrong upstream and dh_fixperms doesn't handle these file types
	find $(CURDIR)/debian/tmp/usr/share/amsn -name \*.png -exec chmod a-x {} \;
	find $(CURDIR)/debian/tmp/usr/share/amsn -name \*.tcl -exec chmod a-x {} \;
	find $(CURDIR)/debian/tmp/usr/share/amsn -name \*.xml -exec chmod a-x {} \;
	chmod a-x $(CURDIR)/debian/tmp/usr/share/amsn/plugins/SpellCheck/lang/langlt
	dh_install -p amsn
	dh_install -p amsn-data $(SKIPFILES_EXPANDED)

binary-indep: build install
# We have nothing to do by default.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog 
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="dversionmangle=s/\~debian//" \
 http://sf.net/amsn/amsn-(.*)\.tar\.bz2
